Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.deployment
Class JBossClassPoolFactory32

    java.lang.Object
      org.jboss.aop.deployment.JBossClassPoolFactory32

All Implemented Interfaces:
  org.jboss.aop.ClassPoolFactory

public class JBossClassPoolFactory32
extends Object
implements org.jboss.aop.ClassPoolFactory

Comment

Version:
  $Revision: 1.1.2.6 $
Author:
  Bill Burke

Field Summary
`protected File` | `tmpClassesDir`

Constructor Summary
`JBossClassPoolFactory32(File tmpClassesDir)`

Method Summary
`org.jboss.aop.AOPClassPool` | `create(ClassLoader cl, javassist.ClassPool src, org.jboss.aop.AspectManager manager)`
`org.jboss.aop.AOPClassPool` | `create(javassist.ClassPool src, org.jboss.aop.AspectManager manager)`
`File` | `createTempDir(ClassLoader cl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tmpClassesDir

    protected File tmpClassesDir

Constructor Detail

### JBossClassPoolFactory32

    public JBossClassPoolFactory32(File tmpClassesDir)
                            throws IOException

Method Detail

### create

    public org.jboss.aop.AOPClassPool create(ClassLoader cl,
                                             javassist.ClassPool src,
                                             org.jboss.aop.AspectManager manager)

  Specified by:
    `create` in interface `org.jboss.aop.ClassPoolFactory`

### create

    public org.jboss.aop.AOPClassPool create(javassist.ClassPool src,
                                             org.jboss.aop.AspectManager manager)

  Specified by:
    `create` in interface `org.jboss.aop.ClassPoolFactory`

### createTempDir

    public File createTempDir(ClassLoader cl)
                       throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.